%global commit 37ec013fe9387888ef30e164a8d820e40a409985
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-plexus
Version:        0.15.0
Release:        0.3.git%{shortcommit}%{?dist}
Summary:        M2E Plexus connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-plexus/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-plexus/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(com.ibm.icu)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(slf4j.api)

%description
This package provides Plexus connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-plexus-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.plexus.annotations.tests

# SLF4J in Fedora uses a different BSN
sed -i s/org.slf4j.api/slf4j.api/ $(find -name *.MF)

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.plexus.annotations.feature/license.html

%changelog
* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.3.git37ec013
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.2.git37ec013
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git37ec013
- Initial commit
